
DROP PROCEDURE GrabarCabFaltaSobraProc
GO
CREATE PROCEDURE GrabarCabFaltaSobraProc
(   
    @SITEID              UD_IDSITE,
    @DATEPROCE		 UD_FECHA,
    @CURYID		 UD_CURYID,
    @USERID		 UD_USERID,
    @CORRNBR             int
)

AS
BEGIN

    BEGIN TRAN
    DECLARE 	@ERROR INTEGER
  
    INSERT INTO OP_CCSALESPERSON(SITEID,DATEPROCE,USERID,CURYID,STATUS)
    VALUES(@SITEID,@DATEPROCE,@USERID,@CURYID,0)
 
    IF (@@error!=0 OR @@ROWCOUNT=0)
    BEGIN
        RAISERROR  20000 'Error insertando en OP_CCSALESPERSON'
        ROLLBACK TRAN
        RETURN(1)
    
    END

    /*** Llamada al store de grabado de detalle ******/
    SET EXEC @ERROR=GrabarDetFaltaSobraProc @CORRNBR

    IF (@ERROR!=0)
    BEGIN
       RAISERROR  20000 'Error insertando en OP_CCSALESPERSONDET'	
       ROLLBACK TRAN
       RETURN(1)               
    END 

   COMMIT TRAN

   RETURN(0)

END


